////////////////////////////////////////////////////////////////////////////
#include "mainwindow.h"
#include "btnimages.cpp"
////////////////////////////////////////////////////////////////////////////
MainWindow::MainWindow() : QMainWindow() {

    // create a MainMenu //
    QPopupMenu *file = new QPopupMenu( this ); // create a Tab for menu
    menuBar()->insertItem( "&File", file );    // create the menu and add the File Tab

    file->insertItem(QPixmap( btn1_xpm ), "Kunden",  this,  SLOT (Event1() ), CTRL + Key_K );
    file->insertItem(QPixmap( btn2_xpm ), "Drucken", this,  SLOT (Event2() ), CTRL + Key_P );
    file->insertSeparator();
    file->insertItem(QPixmap( btn3_xpm ), "Beenden", this,  SLOT (Event3() ), CTRL + Key_Q );


    // create Tool Bar with 3 buttons //
    QToolBar *toolbar = new QToolBar("Menu",this, DockTop , TRUE ,0);

    btn1 = new QToolButton( QPixmap( btn1_xpm ),        "Kunden", QString::null,
				       this, SLOT( Event1() ), toolbar, "Kunden" );

    btn2 = new QToolButton( QPixmap( btn2_xpm ),        "Drucken", QString::null,
				       this, SLOT( Event2() ), toolbar, "Drucken" );

    btn3 = new QToolButton( QPixmap( btn3_xpm ),        "Beenden", QString::null,
				       this, SLOT( Event3() ), toolbar, "Beenden" );

    // create Status Bar //
    statuslabel = new QLabel( statusBar() );
	statuslabel->setText  ("Program is running...");
    statusBar()->addWidget( statuslabel, 1, TRUE  );
}
////////////////////////////////////////////////////////////////////////////
// Events (SLOTS)
////////////////////////////////////////////////////////////////////////////
void MainWindow::Event1 () {
	// Show a message
    QMessageBox::information( this, "Qt Example","Hello World!");
}
////////////////////////////////////////////////////////////////////////////
void MainWindow::Event2 () {
	// tonggle label on button //
	btn2->setUsesTextLabel(!btn2->usesTextLabel());
}
////////////////////////////////////////////////////////////////////////////
void MainWindow::Event3 () {
	// Close the programm
	qApp->exit(); 
}
////////////////////////////////////////////////////////////////////////////
